%define	name	die
%define	version	0.0.10
%define	release	1mdk
%define summary	3D multiplayer deathmatch style game with cars instead of people

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://kokido.sourceforge.net/%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
License:	GPL
Url:		http://die.sourceforge.net
Group:		Games/Arcade
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libode-devel libogre-devel libdevil-devel

%description
Deathmatch with cars 

Features:
* Ultra-realistic physics using ODE
* Stunning graphics using OGRE
* Drive around a test level and shoot a machine gun type weapon
* A dummy car that you can target practice on

%prep
%setup -q

%build
pushd src
%make CPPFLAGS="$RPM_OPT_FLAGS -ffast-math -DGCC_3_1 -DEXT_HASH -I%{_includedir}/OGRE -I%{_includedir}/ode"
popd

perl -pi -e "s#./lib/#%{_libdir}/OGRE/#g" plugins.cfg

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__install} -m755 src/%{name} -D $RPM_BUILD_ROOT%{_gamesbindir}/%{name}.bin
%{__install} -m644 ogre.cfg -D $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/ogre.cfg
%{__install} -m644 resources.cfg -D $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/resources.cfg
%{__install} -m644 plugins.cfg $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/plugins.cfg
%{__cp} -a data $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/

%{__cat} <<EOF > $RPM_BUILD_ROOT%{_gamesbindir}/%{name}
#!/bin/sh
pushd %{_gamesdatadir}/%{name}
%{_gamesbindir}/%{name}.bin
popd
EOF

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		  icon=%{name}.png \
		  needs="x11" \
		  section="Amusement/Arcade" \
		  title="DIE"\
		  longtitle="%{summary}"
EOF

%{__install} -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-16x16.png > ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-32x32.png > ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-48x48.png > ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL README
%{_gamesdatadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%defattr(755,root,root,755)
%{_gamesbindir}/%{name}*

%changelog
* Sat Apr 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.0.10-1mdk
- initial mdk release
